/********************************************************************
  GPT1_4.c          												 
   Timer T6 from General Purpose Timer Block 2 as Timer with reload
   from CAPREL by Overflow of T6.

				      PHYTEC Messtechnik GmbH, 2000
 *********************************************************************/

/* -------Including Files: ----------------------------------------- */
#include <REG167.H>          /* Register defin for C167              */
_sfrbit DT6OUT  _atbit(DP3,1);

 
/* ------ main Program: -------------------------------------------- */
void main (void)
{
  
  T6OUT  = 1;                /* use alternative function of pin      */
  DT6OUT = 1;		     /* pin direction: output                */
 
 
  T6CON = 0x8200;	     /* T6 as timer with clock Fcpu/4, enable
			        Alternate Output Function, enable 
			        reload from register CAPREL          */

  T6 = CAPREL = 0xFB1E;      /* load start und reload value Fout = 
                                2.0 kHz on Pin 3.1		     */

  T6R   = 1;                 /* start Timer T6                       */


   while (1)                 /* endless loop	                     */
   {
       /* here your program    		                             */
   } 
}

