/*******************************************************************************
 ADC.c
 A/D-Converter function.
 Input:  Conversion Channel
 Output: Result of conversion

				              PHYTEC Messtechnik GmbH, 2000
*******************************************************************************/
#include <REG167.H>                    	/* Register Set of 80C167 controller  */

unsigned int ADC (unsigned char Channel_Nr)
{
  ADCON = ADCON & 0x0000 | Channel_Nr;  /* A/D-Converter: Channel = i, Single */	
   			       		/* Channel Conversion		      */
  ADST = 1;		       		/* Conversion start		      */
      while(ADBSY);	       		/* wait of end of conversion	      */
  return(ADDAT & 0x03FF);               /* return result of conversion        */
}

